import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6IjE0NWRjMDlmLWE1ODYtNGQzYy1iMzViLTU2NTI1MDQ1NTk0ZiIsInVzZXJuYW1lIjoiYWRtaW4ifQ.dEMzKkhoomRGBjfbeDEYyT0bWw6qsXQSDiOaBXSORV9aJszOIHR-8KsRuZd-aT-xFR1zWS-DckxbT2HFPHijUA'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
